spawnpoint @a 0 113 0
tp @a 0 113 0
scoreboard players operation compare allcount = Red game_info
scoreboard players operation compare allcount -= Blue game_info
title @a times 0 4200 0
execute if score compare allcount matches ..-1 run function game:running/ending/announceblue
execute if score compare allcount matches 1.. run function game:running/ending/announcered
execute if score compare allcount matches 0 run function game:running/ending/announcetie
scoreboard players set all allcount 1
scoreboard players set ready allcount 0

scoreboard players reset Time game_info
clear @a
team leave @a
kill @e[tag=block,type=area_effect_cloud]
effect clear @a[gamemode=!spectator]
#hackfix to get helmets when game ends
execute as @a unless entity @s[tag=!deathchamp,tag=!pointchamp,tag=!killschamp] run replaceitem entity @s armor.head wooden_hoe{clear:"yes",CustomModelData:9001}
execute as @a unless entity @s[tag=!deathchamp,tag=!pointchamp,tag=!killschamp] run function game:running/misc/playergear

tellraw @a {"text":""}

#MVP points text
execute store result score playercount CmdData if entity @a[tag=pointchamp]
execute if score playercount CmdData matches 1 run tellraw @a ["",{"selector":"@a[tag=pointchamp]","color":"none","bold":false},{"text":" is the MVP: ","color":"gold"},{"score":{"name":"@a[tag=pointchamp]","objective":"Points"},"color":"gray"},{"text":" points delivered!","color":"gold"}]
execute if score playercount CmdData matches 2.. run tellraw @a ["",{"selector":"@a[tag=pointchamp]","color":"none","bold":false},{"text":" are the MVPs: ","color":"gold"},{"score":{"name":"@r[tag=pointchamp]","objective":"Points"},"color":"gray"},{"text":" points delivered each!","color":"gold"}]

#MVP kills text
execute store result score playercount CmdData if entity @a[tag=killschamp]
execute if score playercount CmdData matches 1 if entity @a[tag=killschamp,scores={Kills=2..}] run tellraw @a ["",{"selector":"@a[tag=killschamp]","color":"none","bold":false},{"text":" is that guy that murders people: ","color":"gold"},{"score":{"name":"@a[tag=killschamp]","objective":"Kills"},"color":"gray"},{"text":" kills!","color":"gold"}]
execute if score playercount CmdData matches 2.. if entity @a[tag=killschamp,scores={Kills=2..}] run tellraw @a ["",{"selector":"@a[tag=killschamp]","color":"none","bold":false},{"text":" are the guys that murder people: ","color":"gold"},{"score":{"name":"@r[tag=killschamp]","objective":"Kills"},"color":"gray"},{"text":" kills each!","color":"gold"}]

execute if score playercount CmdData matches 1 if entity @a[tag=killschamp,scores={Kills=1}] run tellraw @a ["",{"selector":"@a[tag=killschamp]","color":"none","bold":false},{"text":" is that guy that murdered someone: ","color":"gold"},{"score":{"name":"@a[tag=killschamp]","objective":"Kills"},"color":"gray"},{"text":" kill!","color":"gold"}]
execute if score playercount CmdData matches 2.. if entity @a[tag=killschamp,scores={Kills=1}] run tellraw @a ["",{"selector":"@a[tag=killschamp]","color":"none","bold":false},{"text":" are the guys that murdered someone: ","color":"gold"},{"score":{"name":"@r[tag=killschamp]","objective":"Kills"},"color":"gray"},{"text":" kill each!","color":"gold"}]



#MVP deaths text
execute store result score playercount CmdData if entity @a[tag=deathchamp]
execute if score playercount CmdData matches 1 if entity @a[tag=deathchamp,scores={DeathCount=1}] run tellraw @a ["",{"selector":"@a[tag=deathchamp]","color":"none","bold":false},{"text":" had trouble stayin' alive: ","color":"gold"},{"score":{"name":"@a[tag=deathchamp]","objective":"DeathCount"},"color":"gray"},{"text":" pathetic death!","color":"gold"}]
execute if score playercount CmdData matches 2.. if entity @a[tag=deathchamp,scores={DeathCount=1}] run tellraw @a ["",{"selector":"@a[tag=deathchamp]","color":"none","bold":false},{"text":" had trouble stayin' alive: ","color":"gold"},{"score":{"name":"@r[tag=deathchamp]","objective":"DeathCount"},"color":"gray"},{"text":" pathetic death each!","color":"gold"}]

execute if score playercount CmdData matches 1 if entity @a[tag=deathchamp,scores={DeathCount=2..}] run tellraw @a ["",{"selector":"@a[tag=deathchamp]","color":"none","bold":false},{"text":" had trouble stayin' alive: ","color":"gold"},{"score":{"name":"@a[tag=deathchamp]","objective":"DeathCount"},"color":"gray"},{"text":" pathetic deaths!","color":"gold"}]
execute if score playercount CmdData matches 2.. if entity @a[tag=deathchamp,scores={DeathCount=2..}] run tellraw @a ["",{"selector":"@a[tag=deathchamp]","color":"none","bold":false},{"text":" had trouble stayin' alive: ","color":"gold"},{"score":{"name":"@r[tag=deathchamp]","objective":"DeathCount"},"color":"gray"},{"text":" pathetic deaths each!","color":"gold"}]


scoreboard players set HStimer CmdData 0
tellraw @a {"text":""}
title @a clear
execute store result score Time game_info run scoreboard players get @e[type=magma_cube,tag=saveSettings,limit=1] CmdData
scoreboard players reset Blue game_info
scoreboard players reset Red game_info
scoreboard players set ready allcount 42
scoreboard players set all allcount -69
scoreboard players set endgame allcount 0
scoreboard players add id GameID 1
scoreboard players add @a[gamemode=!spectator] GameID 1
scoreboard players set gamestate CmdData 0
scoreboard objectives setdisplay sidebar settings
team join timeLimit Time

#bye comet
function game:running/event/kill


#advancements
execute as @a[tag=pointchamp] run advancement grant @s only game:mm_challenges/most_points
execute as @a[tag=killschamp] run advancement grant @s only game:mm_challenges/most_kills
execute as @a[tag=deathchamp] run advancement grant @s only game:mm_challenges/most_deaths
execute as @a[tag=pointchamp,tag=killschamp] run advancement grant @s only game:mm_challenges/king_match


#credits and other lobby thing
function game:credits/spawn
execute as @e[tag=LobbyAEC] run data merge entity @s {CustomNameVisible:1b}
kill @e[type=minecraft:area_effect_cloud,tag=tracker]

#clear meteor stuff
scoreboard players reset meteortimer CmdData
scoreboard players reset perk CmdData
scoreboard players reset perkteam CmdData

bossbar remove minecraft:oxyp0
bossbar remove minecraft:oxyp1
bossbar remove minecraft:oxyp2
bossbar remove minecraft:oxyp3
bossbar remove minecraft:oxyp4
bossbar remove minecraft:oxyp5
bossbar remove minecraft:oxyp6
bossbar remove minecraft:oxyp7
bossbar remove minecraft:oxyp8
bossbar remove minecraft:oxyp9
bossbar remove minecraft:oxyp10
bossbar remove minecraft:oxyp11
function game:running/shop/boss/delete