#arrows
execute as @a[scores={shotArrow=1..},team=red] at @s run scoreboard players set @e[type=arrow,tag=!tagged,sort=nearest,limit=1] lasercolor 1
execute as @a[scores={shotArrow=1..},team=blue] at @s run scoreboard players set @e[type=arrow,tag=!tagged,sort=nearest,limit=1] lasercolor 2

tag @e[type=arrow,scores={lasercolor=1}] add red
tag @e[type=arrow,scores={lasercolor=2}] add blue
#Arrow variants
execute as @a[scores={shotArrow=1..},tag=arrowVariant1] at @s run scoreboard players set @e[type=arrow,tag=!tagged,sort=nearest,limit=1] lasercolor 3
execute as @a[scores={shotArrow=1..},tag=arrowVariant2] at @s run scoreboard players set @e[type=arrow,tag=!tagged,sort=nearest,limit=1] lasercolor 4
execute as @a[scores={shotArrow=1..},tag=arrowVariant3] at @s run scoreboard players set @e[type=arrow,tag=!tagged,sort=nearest,limit=1] lasercolor 6

execute as @a[scores={shotArrow=1..}] at @s if entity @e[type=magma_cube,tag=saveSettings,tag=1Shot] run data merge entity @e[type=arrow,sort=nearest,limit=1] {NoGravity:1,damage:420}
execute as @a[scores={shotArrow=1..}] at @s if entity @e[type=magma_cube,tag=saveSettings,tag=!1Shot] run data merge entity @e[type=arrow,sort=nearest,limit=1] {NoGravity:1,damage:3}
execute as @e[type=arrow,tag=!tagged] unless score @s lasercolor matches 5 at @s run playsound minecraft:shot_distant master @a[distance=15..] ~ ~ ~ 1 .95 .6
tag @e[type=arrow,scores={lasercolor=1..}] add tagged
scoreboard players set @a shotArrow 0

execute as @e[type=arrow,tag=red] at @s if entity @e[type=arrow,tag=blue,distance=..1] run function game:running/misc/hadron/start

execute as @e[type=arrow,nbt={inGround:0b}] if score @s CmdData matches 2.. at @s run function game:running/misc/hadron/arrow_in_air

#arrows die of old age
scoreboard players add @e[type=arrow] CmdData 1
execute as @e[type=arrow,scores={CmdData=50..}] run data merge entity @s {inGround:1b}

#impact particles
execute at @e[nbt={inGround:1b}] run particle explosion ~ ~ ~ 0 0 0 0 1 force
execute at @e[nbt={inGround:1b}] run particle flash ~ ~ ~ 0 0 0 0 1 force
execute at @e[nbt={inGround:1b},scores={lasercolor=1}] run particle item redstone_block ~ ~ ~ 0 0 0 .5 50 force
execute at @e[nbt={inGround:1b},scores={lasercolor=2}] run particle item lapis_block ~ ~ ~ 0 0 0 .5 50 force
execute at @e[nbt={inGround:1b},scores={lasercolor=3}] run particle dragon_breath ~ ~ ~ 0 0 0 .25 75
execute at @e[nbt={inGround:1b},scores={lasercolor=4}] run particle item white_concrete_powder ~ ~ ~ 0 0 0 .5 50 force
execute at @e[nbt={inGround:1b},scores={lasercolor=6}] run particle item orange_concrete_powder ~ ~ ~ 0 0 0 .5 50 force
execute at @e[nbt={inGround:1b},scores={lasercolor=6}] run particle flame ~ ~ ~ 0 0 0 .25 15 force



#execute as @e[type=arrow,tag=red,nbt={inGround:1b}] at @s if block ^ ^ ^0.2 purpur_block run summon leash_knot ^ ^ ^0.1 {Tags:["CrackEmitterRedL"],Duration:500}
#execute as @e[type=arrow,tag=blue,nbt={inGround:1b}] at @s if block ^ ^ ^0.2 purpur_block run summon leash_knot ^ ^ ^0.1 {Tags:["CrackEmitterBlueL"],Duration:500}
#execute as @e[type=arrow,tag=red,nbt={inGround:1b}] at @s if block ^ ^ ^0.2 purpur_pillar run summon leash_knot ^ ^ ^0.1 {Tags:["CrackEmitterRedL"],Duration:500}
#execute as @e[type=arrow,tag=blue,nbt={inGround:1b}] at @s if block ^ ^ ^0.2 purpur_pillar run summon leash_knot ^ ^ ^0.1 {Tags:["CrackEmitterBlueL"],Duration:500}

execute as @e[type=arrow,tag=red,nbt={inGround:1b}] at @s run scoreboard players remove @e[tag=block1,tag=blue,distance=..2] ProblockHP 1
execute as @e[type=arrow,tag=blue,nbt={inGround:1b}] at @s run scoreboard players remove @e[tag=block1,tag=red,distance=..2] ProblockHP 1 


#execute as @e[tag=CrackEmitterBlueL] at @s run summon area_effect_cloud ~ ~-0.45 ~ {Tags:["CrackEmitterBlue"],Duration:500}
#execute as @e[tag=CrackEmitterBlueL] at @s run summon area_effect_cloud ~ ~-0.45 ~ {Tags:["CrackEmitterBlue"],Duration:500}
#execute as @e[tag=CrackEmitterBlueL] at @s run summon area_effect_cloud ~ ~-1.35 ~ {Tags:["CrackEmitterBlue"],Duration:500}
#execute as @e[tag=CrackEmitterBlueL] at @s run summon area_effect_cloud ~ ~0.45 ~ {Tags:["CrackEmitterBlue"],Duration:500}
#execute as @e[tag=CrackEmitterBlueL] at @s run summon area_effect_cloud ~ ~-0.45 ~1 {Tags:["CrackEmitterBlue"],Duration:500}
#execute as @e[tag=CrackEmitterBlueL] at @s run summon area_effect_cloud ~ ~-0.45 ~-1 {Tags:["CrackEmitterBlue"],Duration:500}
#execute as @e[tag=CrackEmitterBlueL] at @s run summon area_effect_cloud ~1 ~-0.45 ~ {Tags:["CrackEmitterBlue"],Duration:500}
#execute as @e[tag=CrackEmitterBlueL] at @s run summon area_effect_cloud ~-1 ~-0.45 ~ {Tags:["CrackEmitterBlue"],Duration:500}

#execute as @e[tag=CrackEmitterRedL] at @s run summon area_effect_cloud ~ ~-0.45 ~ {Tags:["CrackEmitterRed"],Duration:500}
#execute as @e[tag=CrackEmitterRedL] at @s run summon area_effect_cloud ~ ~-0.45 ~ {Tags:["CrackEmitterRed"],Duration:500}
#execute as @e[tag=CrackEmitterRedL] at @s run summon area_effect_cloud ~ ~-1.35 ~ {Tags:["CrackEmitterRed"],Duration:500}
#execute as @e[tag=CrackEmitterRedL] at @s run summon area_effect_cloud ~ ~0.45 ~ {Tags:["CrackEmitterRed"],Duration:500}
#execute as @e[tag=CrackEmitterRedL] at @s run summon area_effect_cloud ~ ~-0.45 ~1 {Tags:["CrackEmitterRed"],Duration:500}
#execute as @e[tag=CrackEmitterRedL] at @s run summon area_effect_cloud ~ ~-0.45 ~-1 {Tags:["CrackEmitterRed"],Duration:500}
#execute as @e[tag=CrackEmitterRedL] at @s run summon area_effect_cloud ~1 ~-0.45 ~ {Tags:["CrackEmitterRed"],Duration:500}
#execute as @e[tag=CrackEmitterRedL] at @s run summon area_effect_cloud ~-1 ~-0.45 ~ {Tags:["CrackEmitterRed"],Duration:500}

kill @e[type=arrow,nbt={inGround:1b}]
kill @e[tag=CrackEmitterBlueL]
kill @e[tag=CrackEmitterRedL]




####Problock damage
#execute as @e[tag=CrackEmitterRed] at @s run scoreboard players remove @e[tag=block1,tag=blue,distance=..1] ProblockHP 1
#kill @e[tag=CrackEmitterRed]

#execute as @e[tag=CrackEmitterBlue] at @s run scoreboard players remove @e[tag=block1,tag=red,distance=..1] ProblockHP 1
#kill @e[tag=CrackEmitterBlue]




execute as @e[tag=block1,scores={ProblockHP=6}] at @s run setblock ~ ~ ~ purpur_pillar
execute as @e[tag=block1,scores={ProblockHP=6}] at @s run scoreboard players set @s ProblockHP 5

execute as @e[tag=block1,scores={ProblockHP=4}] at @s run setblock ~ ~ ~ dead_brain_coral_block
execute as @e[tag=block1,scores={ProblockHP=4}] at @s run scoreboard players set @s ProblockHP 3

execute as @e[tag=block1,scores={ProblockHP=2}] at @s run setblock ~ ~ ~ dead_bubble_coral_block
execute as @e[tag=block1,scores={ProblockHP=2}] at @s run scoreboard players set @s ProblockHP 1

scoreboard players add @e[tag=block1,scores={ProblockHP=-100..0},sort=random,limit=1] Decay 1

