# fix players that were in last game and now join between games
execute as @a if score @s GameID < id GameID run function game:lobby/oldtimer

# settings system
function game:lobby/settings

# secret, experimental fancy logo thing (experimental)
scoreboard players remove @e[tag=Logo2] CmdData 1
execute as @e[tag=Logo2,scores={CmdData=..0},team=Orange] run tag @s add Lemon
execute as @e[tag=Logo2,scores={CmdData=..0},team=Lemon] run tag @s add Orange
execute as @e[tag=Logo2,team=Orange,tag=Lemon] run team join Lemon
execute as @e[tag=Logo2,team=Lemon,tag=Orange] run team join Orange
tag @e[tag=Logo2] remove Lemon
tag @e[tag=Logo2] remove Orange
scoreboard players add @e[tag=Logo2,scores={CmdData=..0}] CmdData 120
# IMPORTANT: if you want to change the frequency, change the value of the last line ^
# always put something greater than 50
# after you changed it, make sure to reload when ALL magma cubes have the SAME COLOR.


# put players into adventure mode because survival players cant join teams apparently lol
gamemode adventure @a[gamemode=survival]

#row 1
team leave @a[scores={Team=0..}]
scoreboard players reset @a Team
#ik its from wrong folder but hey it works until someone changes it :)
function game:running/misc/hunger
effect give @a minecraft:resistance 999999 4 true
tag @a remove ready
tag @a[team=red] add ready
tag @a[team=blue] add ready
tag @a[gamemode=!spectator] add ready
effect give @e[type=magma_cube] minecraft:invisibility 999999 0 true

# particles for the three musketeers
particle dust 1 0 0 1 2.45 114.3 27 0 0 0 0 1
particle dust 0 0 1 1 4.5 114.3 27 0 0 0 0 1
particle dust 1 1 1 1 -2.85 114.3 26.8 0 0 0 0 1
particle dripping_water 0.25 113.3 27.3 .1 .2 .1 0 1
particle enchant 3 113.0 27 .25 0 .25 .1 2
particle enchant -3 113.0 27 .25 0 .25 .1 2
particle enchant 0 113.0 27 .25 0 .35 .1 2

#speccy
execute as @e[tag=opt4] at @s as @a[distance=..1.5,gamemode=!spectator] run function game:lobby/go_spec
execute as @e[tag=opt4] at @s as @a[distance=..3,gamemode=spectator] run function game:lobby/quit_spec
team leave @a[gamemode=spectator]
gamemode adventure @a[team=!]

#row 2
scoreboard players set divide allcount 2
execute store result score @e[tag=opt2] allcount if entity @a[team=red]
execute store result score @e[tag=opt0] allcount if entity @a[team=blue]
execute store result score @e[tag=opt1] allcount if entity @a
scoreboard players add all allcount 1
execute if score all allcount matches 13.. run scoreboard players set all allcount 12
scoreboard players operation all allcount /= divide allcount
scoreboard players operation @e[tag=opt2] allcount -= all allcount
scoreboard players operation @e[tag=opt0] allcount -= all allcount
tag @e[tag=opt0] add team
tag @e[tag=opt2] add team
tag @e[tag=team,scores={allcount=0..}] remove team
scoreboard players add @e[type=area_effect_cloud,tag=team] allcount 1000

#row 3
execute as @e[type=area_effect_cloud,tag=opt0,scores={allcount=500..}] at @s run tag @a[gamemode=!spectator,distance=..1.5,team=!blue] add blue
team join blue @a[tag=blue]
execute if entity @a[tag=blue] run tellraw @a ["",{"selector":"@a[tag=blue]"},{"text":" joined the "},{"text":"blue","color":"blue","bold":true},{"text":" team!","color":"none","bold":false}]
tag @a[tag=blue] remove blue
execute as @e[type=area_effect_cloud,tag=opt2,scores={allcount=500..}] at @s run tag @a[gamemode=!spectator,distance=..1.5,team=!red] add red
team join red @a[tag=red]
execute if entity @a[tag=red] run tellraw @a ["",{"selector":"@a[tag=red]"},{"text":" joined the "},{"text":"red","color":"red","bold":true},{"text":" team!","color":"none","bold":false}]
tag @a[tag=red] remove red
execute as @e[type=area_effect_cloud,tag=opt1] at @s run tag @p[distance=..1.5] add random
execute as @e[sort=random,limit=1,type=area_effect_cloud,tag=team] at @s run teleport @a[tag=random] ~ ~1 ~
tag @a remove random
execute as @e[type=area_effect_cloud,tag=opt5] at @s run gamemode adventure @a[distance=..1.5,gamemode=!adventure]
execute as @e[type=area_effect_cloud,tag=opt5] at @s run tag @a[distance=..1.5,gamemode=!spectator] remove ready
execute as @e[type=area_effect_cloud,tag=opt5] at @s if entity @p[distance=..1.5,gamemode=!spectator,team=red] run tellraw @a ["",{"selector":"@a[distance=..1.5,gamemode=!spectator]"},{"text":" left their team!"}]
execute as @e[type=area_effect_cloud,tag=opt5] at @s if entity @p[distance=..1.5,gamemode=!spectator,team=blue] run tellraw @a ["",{"selector":"@a[distance=..1.5,gamemode=!spectator]"},{"text":" left their team!"}]
execute as @e[type=area_effect_cloud,tag=opt5] at @s run team leave @a[distance=..1.5]
#execute as @e[type=area_effect_cloud,tag=opt5] at @s run tp @a[distance=..1.5,gamemode=!spectator] 0 113 0

# temporary hackfix
# particle is fancy yay haha lol lmao
#particle dust 1.0 1.0 1.0 1.0 0 113 0 1.5 0 0.5 0.01 40 normal
tag @a[gamemode=!spectator] remove ready
tag @a[x=-4,y=112,z=-1,dx=9,dy=4,dz=3,gamemode=!spectator,team=!] add ready

# row 4
scoreboard players set @e[type=area_effect_cloud,tag=opt3] allcount 1
execute as @a[tag=config] run scoreboard players set @e[type=area_effect_cloud,tag=opt3] allcount 0
#execute as @e[type=area_effect_cloud,tag=opt3,scores={allcount=1..}] at @s run tag @p[distance=..1,gamemode=!spectator] add config
#execute as @e[type=area_effect_cloud,tag=opt3,scores={allcount=1..}] at @s run tag @p[distance=..1,gamemode=!spectator] add gettext
#tag @a[tag=config] add away
#execute as @e[type=area_effect_cloud,tag=opt3] at @s run tag @a[distance=..1,tag=config] remove away
#tag @a[tag=away] remove config
#tellraw @a[tag=gettext] ["",{"text":"\nclick on the signs to change game settings!\n","color":"gray"},{"text":"Time limit:   ","color":"aqua"},{"text":" - ","color":"red","clickEvent":{"action":"run_command","value":"/trigger subtime add 1"},"hoverEvent":{"action":"show_text","value":{"text":"","extra":[{"text":"remove 60 seconds from time limit","color":"gray"}]}}},{"text":"/","color":"none"},{"text":" + ","color":"blue","clickEvent":{"action":"run_command","value":"/trigger addtime add 1"},"hoverEvent":{"action":"show_text","value":{"text":"","extra":[{"text":"add 60 seconds to time limit","color":"gray"}]}}}]
#tag @a[tag=gettext] remove gettext
#scoreboard players enable @a[tag=config] addtime
#scoreboard players enable @a[tag=config] subtime
execute as @a[scores={addtime=1..}] at @s run scoreboard players add Time game_info 60
scoreboard players remove @a[scores={addtime=1..}] addtime 1
execute as @a[scores={subtime=1..}] at @s run scoreboard players remove Time game_info 60
scoreboard players remove @a[scores={subtime=1..}] subtime 1
#execute if score Time game_info matches -60..59 run scoreboard players set Time game_info 60
#execute if score Time game_info matches 1201.. run scoreboard players set Time game_info 1200
scoreboard players add Time game_info 0
#tag @a[gamemode=!spectator] remove ready
#entity dead cant use this :(
#execute as @e[tag=BLACK] at @s positioned ~ ~2 ~ run tag @a[distance=..2,gamemode=!spectator,team=!] add ready
title @a[team=!,tag=!ready,gamemode=!spectator] actionbar {"text":"Walk onto the white cuboid to ready up.","bold":true}
title @a[team=!,tag=ready,gamemode=!spectator] actionbar {"text":"You are ready! Wait for the others.","bold":true}

# row 5
scoreboard players set all allcount 0
execute store result score all allcount if entity @a[gamemode=!spectator]
execute if score all allcount matches 13.. run scoreboard players set all allcount 12
execute if score all allcount matches 0 run scoreboard players set all allcount 1
scoreboard players set ready allcount 0
execute store result score ready allcount if entity @a[gamemode=!spectator,tag=ready]
scoreboard players operation ready allcount -= all allcount
execute if entity @a[gamemode=!spectator,tag=ready] if score ready allcount matches 0 run function game:lobby/lelz

# fancy stuff
execute as @e[tag=GLignore] run data merge entity @s {Glowing:1}